/**  Bottone
 *     @autore     Luigi Antenucci
 *     @versione   1.0
 *     @linguaggio jdk 1.2
 */

import java.awt.Button;
import java.awt.Font;
import java.awt.Color;


class Bottone extends Button {

  // Variabile di classe: colori di default
  protected static Color ColSfoDef = Color.blue;
  protected static Color ColTxtDef = Color.white;
  protected static Font  FontBoDef = new Font ("Serif", Font.PLAIN, 18);
  // in Java 1.2 uso "Serif"       anziche' "TimesRoman"

  
  public Bottone () {
    this (""); 
  } //costruttore

  public Bottone (String Testo) {
    super (Testo);
    setBackground (ColSfoDef);
    setForeground (ColTxtDef);
    setFont       (FontBoDef);
  } //costruttore

  public Bottone (String Testo, Color ColSfo) {
    super (Testo);
    setBackground (ColSfo);
    setForeground (ColTxtDef);
    setFont       (FontBoDef);
  } //costruttore

  public Bottone (String Testo, Color ColSfo, Color ColTxt) {
    super (Testo);
    setBackground (ColSfo);
    setForeground (ColTxt);
    setFont       (FontBoDef);
  } //costruttore 

  public Bottone (String Testo, Color ColSfo, Color ColTxt, Font FontBo) { 
    super (Testo);
    setBackground (ColSfo);
    setForeground (ColTxt);
    setFont       (FontBo);
  } //costruttore


  public static void defColori (Color ColSfo, Color ColTxt) {
    ColSfoDef = ColSfo;
    ColTxtDef = ColTxt;
  } //defColori


  public static void defFont (Font FontBo) {
    FontBoDef = FontBo;
  } //defFont


  public static void defColoriFont (Color ColSfo, Color ColTxt, Font CheFont) {
    ColSfoDef = ColSfo;
    ColTxtDef = ColTxt;
    FontBoDef = CheFont;
  } //defColoriFont

} //Bottone