/**  MessCliDammiPOMe (discendente di MessCliDammiPL)  <ancora da usare>
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


class MessCliDammiPOMe extends MessCliDammiPL {
  /** Messaggio Cli-->Ser per la richiesta di tutti
   *  i posti occupati per un certo spettacolo da 
   *  un certo spettatore!
   */ 
   
  // Variabili d'istanza:
  protected Spettatore Spettat;  // Contiene lo spettatore
  //Nota: lo spettacolo e' gia' in "MessCliDammiPO".


  public MessCliDammiPOMe (Spettacolo Spettac, Spettatore Spettat) {
    super (Spettac);
    this.Spettat = Spettat;
  } //costruttore

  public MessCliDammiPOMe (Spettacolo Spettac, Spettatore Spettat, byte Tentativo) {
    super (Spettac, Tentativo);
    this.Spettat = Spettat;
  } //costruttore

  public MessCliDammiPOMe (DataInputStream DIS) throws IOException {
    // costruisce il messaggio leggendo i dati da uno stream di dati
    super(DIS);
    Spettat = new Spettatore (DIS);  // leggo spettatore da DIS
  } //costruttore
  

  public void scriviInStream (DataOutputStream DOS) throws IOException {
    // scrive su uno stream di dati il messaggio
    super.scriviInStream(DOS);
    Spettat.scriviInStream(DOS);
  } //scriviInStream


  public Spettatore cheSpettat () {
    return Spettat;
  } //cheSpettat


  public String toString () {
    return new String (getClass().getName()+"(Spettacolo="+Spettac+
                                              ",Spettatore="+Spettat+")");
  } //toString

} //MessCliDammiPOMe