/**  MessCliInfo (discendente di MessCli)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


class MessCliInfo extends MessCli {
  /** Messaggio Cli<--Ser per inviare messaggi di stato.
   */
  protected String Frase;

  public MessCliInfo (String Frase) {
    super();   // non mi interessa il "tentativo"
    this.Frase = Frase;
  } //costruttore

  public MessCliInfo (DataInputStream DIS) throws IOException {
    // costruisce il messaggio leggendo i dati da uno stream di dati
    super(DIS);
    Frase = DIS.readUTF();
  } //costruttore


  public void scriviInStream (DataOutputStream DOS) throws IOException {
    // scrive su uno stream di dati il messaggio
    super.scriviInStream (DOS);
    DOS.writeUTF(Frase);
  } //costruttore


  public String cheFrase () {
    return Frase;
  } //cheFrase


  public String toString () {
    return new String (getClass().getName()+"(Tentat="+Tentativo+
                                            ",Frase="+Frase+")");
  } //toString

} //MessCliInfo