/**  MessSerFatto (discendente di MessSer)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


class MessSerFatto extends MessSer {
  /** Messaggio Cli<--Ser per inviare messaggi di stato.
   */
  protected boolean Fatto;    // Fatto si'/no

  public MessSerFatto (boolean Fatto) {
    this.Fatto = Fatto;
  } //costruttore

  public MessSerFatto (DataInputStream DIS) throws IOException {
    // costruisce il messaggio leggendo i dati da uno stream di dati
    Fatto = DIS.readBoolean();
  } //costruttore


  public void scriviInStream (DataOutputStream DOS) throws IOException {
    // scrive su uno stream di dati il messaggio
    DOS.writeBoolean(Fatto);
  } //costruttore


  public boolean cheFatto () {
    return Fatto;
  } //cheFatto


  public String toString () {
    return new String (getClass().getName()+"(Fatto="+String.valueOf(Fatto)+")");
  } //toString

} //MessSerFatto