/**  Client (applicazione)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.awt.Frame;  

public class Client {
  /** Il programma CLIENT
   *  Usa l'applet "ClientApplet" mettendola in una finestra
   */

  protected static ClientApplet CliCli;     // Variabili
  protected static Frame        FinApp;


  public static void main (String[] args) {
    // Come farebbe il browser:
    FinApp = new Frame ("CLIENT");       // Crea la finestra
    FinApp.setVisible (false);

    CliCli = new ClientApplet (FinApp);  // Crea l'applet
    CliCli.init();                       // e l'inizializza

    // demo: CliCli.defIndirizzoServer ((byte)0, "192.168.61.75");

    // demo: CliCli.rendiDisplay().riempiSpettatore (new Spettatore ("Luigi","Antenucci"));
    // demo: CliCli.rendiDisplay().riempiSpettacolo (new Spettacolo ("CATS",10,8,1995,2));
    // demo: CliCli.rendiDisplay().riempiPosto      (new Posto      ('C',12));

    FinApp.setLocation (5,0);
    FinApp.pack();
    FinApp.setVisible (true);            // Mostra la finestra

    CliCli.start();                      // Lancia l'applet

  } //main

} //Client