/**  Mess (classe astratta da cui discendono MessCli e MessSer)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataOutputStream;
import java.io.IOException;


abstract class Mess { 
  /** Classe astratta per indicare l'astrazione "messaggio".
   *  Da questa classe erediteranno tutti i messaggi.
   */

  public abstract void scriviInStream (DataOutputStream DOS) throws IOException;
    // Voglio che tutti i messaggi siano scrivibili in uno stream di dati

    // Occorre aggiungere un costruttore che crea un messaggio leggendo 
    // i dati da uno stream di dati (DataInputStream)

  public abstract String toString();

} //Mess