/**  MessCliCancella (discendente di MessCli-MessCliRichiedi)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.IOException;


class MessCliCancella extends MessCliRichiedi {
  /** Messaggio Cli-->Ser per fare una cancellazione.
   *  Mi serve come istanza per distinguere tra prenotazione e cancellazione,
   *  ma contiene gli stessi dati di MessCliRichiedi, percio' si eredita da essa!
   */

  public MessCliCancella (Prenotazione Prenot) { 
    super (Prenot); 
  } //costruttore

  public MessCliCancella (Prenotazione Prenot, byte Tentativo) { 
    super (Prenot, Tentativo); 
  } //costruttore
  
  public MessCliCancella (DataInputStream DIS) throws IOException { 
    super (DIS); 
  } //costruttore


  public String toString () {
    return super.toString();
  } //toString

} //MessCliCancella