/**  MessCliDammi (discendente di MessCli)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


abstract class MessCliDammi extends MessCli {
  /** Messaggio Cli-->Ser per la richiesta di dati.
   *  E' "astratta"; le sue sottoclassi definiscono il
   *  il tipo specifico del dato richiesto.
   */ 

  public MessCliDammi () {
    super();
  } //costruttore

  public MessCliDammi (byte Tentativo) {
    super (Tentativo);
  } //costruttore

  public MessCliDammi (DataInputStream DIS) throws IOException {
    // costruisce il messaggio leggendo i dati da uno stream di dati
    super(DIS);
  } //costruttore


  public String toString () {
    return new String (getClass().getName()+"<>");
  } //toString

} //MessCliDammi