/**  MessCliDammi2Ser (discendente di MessCliDammi)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


class MessCliDammi2Ser extends MessCliDammi {
  /** Messaggio Cli-->Ser per la richiesta di due indirizzi di
   *  server nell'anello (saranno i "vicini" del server).
   */ 


  public MessCliDammi2Ser () {
    super();
  } //costruttore

  public MessCliDammi2Ser (DataInputStream DIS) throws IOException {
    // costruisce il messaggio leggendo i dati da uno stream di dati
    super(DIS);
  } //costruttore
  

  public void scriviInStream (DataOutputStream DOS) throws IOException {
    // scrive su uno stream di dati il messaggio
    super.scriviInStream(DOS);
  } //scriviInStream


  public String toString () {
    return new String (getClass().getName()+"()");
  } //toString

} //MessCliDammi2Ser