/**  MessSerAggMe (discendente di MessSer)
 *     @autore     Luigi Antenucci
 *     @versione   2.0
 *     @linguaggio jdk 1.2
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


class MessSerAggMe extends MessSer {
  /** Messaggio Ser-->Ser per inviare un ordine di aggiungere un
   *  nuovo server nell'anello (tra chi lo riceve e il successore)
   */

  // Variabili d'istanza:
  protected String MioIndir;


  public MessSerAggMe (String MioIndir) {
    this.MioIndir = MioIndir;
  } //costruttore

  public MessSerAggMe (DataInputStream DIS) throws IOException {
    MioIndir = DIS.readUTF();
  } //costruttore


  public void scriviInStream (DataOutputStream DOS) throws IOException {
    DOS.writeUTF (MioIndir);
  } //scriviInStream


  public String cheIndirizzo () {
    return MioIndir;
  } //cheIndirizzo


  public String toString () {
    return new String (getClass().getName()+"(MioIndir="+MioIndir+")");
  } //toString
  
} //MessSerAggMe